Skip to main content

GET /gpdomains/v2/aggregated/domain/{id}

GET 

gpdomains/v2/aggregated/domain/:id

Retrieve full Google Postmaster v2 traffic statistics for one monitored domain

Path Parameters​

id string Required

Query Parameters​

stats_date_from string Required
Start date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

stats_date_to string Required
End date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The difference between stats_date_from and stats_date_to must not exceed 30 days

Returns

  • dataobject
    • idstring
      Unique identifier of the monitored domain entry
    • domainstring
      Monitored domain name
    • compliance_statsobject
      Google Postmaster compliance information for the monitored domain
      • spfobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • dkimobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • spf_and_dkimobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • dmarc_policyobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • dmarc_alignmentobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • message_formattingobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • dns_recordsobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • encryptionobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • user_reported_spam_rateobject
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
      • one_click_unsubscribe_verdictobject
        Google compliance verdict for one-click unsubscribe support
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
        • reasonstring
          Google-provided reason for the one-click unsubscribe compliance verdict
          Allowed values: REASON_UNSPECIFIED, NO_UNSUB_GENERAL, NO_UNSUB_SPAM_REPORTS, NO_UNSUB_PROMO_SPAM_REPORTS
      • honor_unsubscribe_verdictobject
        Google compliance verdict for honoring unsubscribe requests
        • statusstring
          Compliance state reported by Google
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
        • reasonstring
          Google-provided reason for the honor-unsubscribe compliance verdict
          Allowed values: REASON_UNSPECIFIED, NOT_HONORING, NOT_HONORING_TOO_FEW_CAMPAIGNS, NOT_HONORING_TOO_MANY_CAMPAIGNS
      • deliverability_status_verdictobject
        Google assessment of the domain's deliverability status
        • statusstring
          Current deliverability compliance state
          Allowed values: STATE_UNSPECIFIED, COMPLIANT, NEEDS_WORK
        • reasonstring
          Google-provided reason for the deliverability status
          Allowed values: REASON_UNSPECIFIED, MESSAGE_VOLUME_LOW, SMTP_ERRORS_HIGH, SENDER_NOT_COMPLIANT, SPAM_RATE_HIGH, USER_FEEDBACK_NEGATIVE, USER_FEEDBACK_LOW, USER_FEEDBACK_POSITIVE
    • deleted_atstring
      Timestamp when the monitored domain was deleted; present only for deleted domains
    • traffic_statsarray
      Daily Google Postmaster traffic statistics for this domain in the requested date range
      • keystring
        Identifier of the daily traffic statistics record
      • domainstring
        Domain name reported by Google Postmaster
      • date_timestampstring
        Date and time for which these traffic statistics were collected
      • feedback_loopobject
        Feedback-loop identifiers and their spam rates
        • all_dkimarray
          Feedback-loop identifiers extracted from all DKIM signatures
          • idstring
            Feedback-loop identifier
          • spam_ratenumber
            Spam rate for messages associated with this feedback-loop identifier
        • from_headersarray
          Feedback-loop identifiers extracted from From headers
          • idstring
            Feedback-loop identifier
          • spam_ratenumber
            Spam rate for messages associated with this feedback-loop identifier
      • spam_ratenumber
        Rate of messages reported as spam by recipients
      • auth_success_rate_spfnumber
        Rate of messages that passed SPF authentication
      • auth_success_rate_dkimnumber
        Rate of messages that passed DKIM authentication
      • auth_success_rate_dmarcnumber
        Rate of messages that passed DMARC authentication
      • tls_encryption_message_count_inboundnumber
        Number of inbound messages received over TLS-encrypted connections
      • tls_encryption_rate_inboundnumber
        Rate of inbound messages received over TLS-encrypted connections
      • tls_encryption_message_count_outboundnumber
        Number of outbound messages delivered over TLS-encrypted connections
      • tls_encryption_rate_outboundnumber
        Rate of outbound messages delivered over TLS-encrypted connections
      • delivery_errors_countarray
        Delivery-error counts grouped by error type and reason
        • error_typestring
          Delivery-error category
          Allowed values: ALL, REJECT, TEMP_FAIL
        • error_reasonstring
          Reason for the delivery error
          Allowed values: ALL, BAD_ATTACHMENT, BAD_OR_MISSING_PTR_RECORD, IP_IN_RBLS, LOW_DOMAIN_REPUTATION, LOW_IP_REPUTATION, SPAMMY_CONTENT, STAMP_POLICY_ERROR, ANOMALOUS_TRAFFIC_PATTERN, OTHER
        • countnumber
          Number of messages affected by this delivery error
      • delivery_errors_ratearray
        Delivery-error rates grouped by error type and reason
        • error_typestring
          Delivery-error category
          Allowed values: ALL, REJECT, TEMP_FAIL
        • error_reasonstring
          Reason for the delivery error
          Allowed values: ALL, BAD_ATTACHMENT, BAD_OR_MISSING_PTR_RECORD, IP_IN_RBLS, LOW_DOMAIN_REPUTATION, LOW_IP_REPUTATION, SPAMMY_CONTENT, STAMP_POLICY_ERROR, ANOMALOUS_TRAFFIC_PATTERN, OTHER
        • ratenumber
          Rate of messages affected by this delivery error
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

500 Internal Server Error

Internal server error